1. Contacts
PIK
  • Start
    • Getting Started
  • Authentication
    • Authentication Token
      POST
  • Global Account
    • Contacts
      • Create Contact
        POST
      • List Contacts
        GET
      • Get Contact
        GET
      • Count Contacts
        GET
    • Virtual Accounts
      • Create Virtual Account
      • List Virtual Accounts
      • Get Virtual Account
    • Transactions
      • List Transactions
      • Get Transaction
    • Account Balance
      • List Account Balances
      • Get Balance by Currency
    • Payout
      • Create Payout
    • Webhooks
      • Unified Webhook Entry
      • Virtual Account Webhook
      • Deposit Webhook
      • Payout Status Webhook
  • Payment Links
    • Payment Links
      • Create Payment Link
      • Update Payment Link
      • Get Payment Link Detail
      • Get Payment Link List
    • Transactions
      • Get Transaction List
  • Webhook
    • Global Account
      • Deposit Webhook
      • Payout Webhook
      • Virtual Account Webhook
    • Payment Links
      • Overview
      • Order Collect Out Webhook
      • Customer Payment Webhook
      • Customer Refund Webhook
      • Master Recharge Webhook
      • Web3 Direct Payment Webhook
      • Withdraw Out Webhook
  1. Contacts

Create Contact

POST
/api/v1/contact/create
Create a contact for the current customer. Supports nested address (paymentContactAddress) and beneficiary account (paymentContactAccount) information.

Request

Authorization
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
or
Body Params application/jsonRequired

Examples

Responses

🟢200
application/json
Contact created successfully
Bodyapplication/json

🟠404
🔴500Error
🔴500Error
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/api/v1/contact/create' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "contactCode": "string",
    "contactType": "string",
    "businessType": "string",
    "displayName": "string",
    "nickname": "string",
    "companyName": "string",
    "firstName": "string",
    "lastName": "string",
    "email": "string",
    "phone": "string",
    "countryCode": "string",
    "nationality": "string",
    "status": "string",
    "verificationStatus": "string",
    "isFrequent": 0,
    "createTimeUtc": "2019-08-24",
    "updateTimeUtc": "2019-08-24",
    "paymentContactAddress": {
        "addressType": "string",
        "countryCode": "string",
        "state": "string",
        "city": "string",
        "streetAddress": "string",
        "postalCode": "string",
        "createTimeUtc": "2019-08-24",
        "updateTimeUtc": "2019-08-24"
    },
    "paymentContactAccount": {
        "accountType": "string",
        "paymentMethod": "string",
        "accountHolder": "string",
        "accountCurrencyCode": "string",
        "bankName": "string",
        "bankCountryCode": "string",
        "bankAddress": "string",
        "accountNumber": "string",
        "iban": "string",
        "swiftCode": "string",
        "walletNetwork": "string",
        "walletAddress": "string",
        "walletTag": "string",
        "clearingSystem": "string",
        "isDefault": 0,
        "status": "string",
        "createTimeUtc": "2019-08-24",
        "updateTimeUtc": "2019-08-24",
        "paymentContactAccountField": {
            "fieldKey": "string",
            "fieldValue": "string",
            "fieldLabel": "string",
            "fieldGroup": "string",
            "sort": 0,
            "isRequired": 0,
            "createTimeUtc": "2019-08-24",
            "updateTimeUtc": "2019-08-24"
        }
    }
}'
Response Response Example
200 - Example 1
{
    "code": 200,
    "message": "success",
    "data": {
        "contactCode": "string",
        "contactType": "string",
        "businessType": "string",
        "displayName": "string",
        "nickname": "string",
        "companyName": "string",
        "firstName": "string",
        "lastName": "string",
        "email": "string",
        "phone": "string",
        "countryCode": "string",
        "nationality": "string",
        "status": "string",
        "verificationStatus": "string",
        "isFrequent": 0,
        "createTimeUtc": "2019-08-24",
        "updateTimeUtc": "2019-08-24",
        "paymentContactAddress": {
            "addressType": "string",
            "countryCode": "string",
            "state": "string",
            "city": "string",
            "streetAddress": "string",
            "postalCode": "string",
            "createTimeUtc": "2019-08-24",
            "updateTimeUtc": "2019-08-24"
        },
        "paymentContactAccount": {
            "accountType": "string",
            "paymentMethod": "string",
            "accountHolder": "string",
            "accountCurrencyCode": "string",
            "bankName": "string",
            "bankCountryCode": "string",
            "bankAddress": "string",
            "accountNumber": "string",
            "iban": "string",
            "swiftCode": "string",
            "walletNetwork": "string",
            "walletAddress": "string",
            "walletTag": "string",
            "clearingSystem": "string",
            "isDefault": 0,
            "status": "string",
            "createTimeUtc": "2019-08-24",
            "updateTimeUtc": "2019-08-24",
            "paymentContactAccountField": {
                "fieldKey": "string",
                "fieldValue": "string",
                "fieldLabel": "string",
                "fieldGroup": "string",
                "sort": 0,
                "isRequired": 0,
                "createTimeUtc": "2019-08-24",
                "updateTimeUtc": "2019-08-24"
            }
        }
    }
}
Modified at 2026-05-27 09:47:15
Previous
Global Account
Next
List Contacts
Built with